Bug 820590 - Error in CSS style in jUDDI web console menu
Error in CSS style in jUDDI web console menu
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: jUDDI - within SOA, Build Process (Show other bugs)
5.3.0 GA
Unspecified Unspecified
high Severity low
: ER4
: 5.3.0 GA
Assigned To: Default User
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 08:32 EDT by Robert Balent
Modified: 2015-11-02 03:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Balent 2012-05-10 08:32:36 EDT
In jUDDI web console, when you hover over the upper right menu, you will see the font-weight has changed and the menu flickers.

How to reproduce:
1. Open http://localhost:8080/uddi-console/uddibrowser.jsp
2. Log In
3. Hover your mouse over some item in upper right menu


How to repair:
You can see in CSS file (css/soa.css), there is:

#HeaderRight table td a:hover {
	color: #0000cc;
	background-color: white;
}

it should be:

#HeaderRight table td a:hover {
	background-color: white;
	color: #0000CC;
	font-weight: bold;
}
Comment 1 Julian Coleman 2012-05-31 05:52:26 EDT
Resolved with revision 11141 of:

  src/main/resources/eap/ROOT.war/css/soa.css

Commit message:

  BZ 820590
  
  Add "font-weight: bold;" to "#HeaderRight table td a:hover", as "a:hover" in
  soa.css is overridden by the definition in uddiportlets.css, causing the
  bold attribute to be lost in the UDDI console.
Comment 4 Suz 2012-06-13 01:59:19 EDT
I have set the technical note field to negative as this appears to have been detected and fixed in the same version, so users will not have seen it.
Comment 5 Robert Balent 2012-06-21 08:29:00 EDT
Verified with SOA-P 5.3 ER4

Note You need to log in before you can comment on or make changes to this bug.